Index: src/core/common/tsp_common_as.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_common_as.c,v
retrieving revision 1.3
diff -u -r1.3 tsp_common_as.c
--- src/core/common/tsp_common_as.c	30 Nov 2007 15:42:01 -0000	1.3
+++ src/core/common/tsp_common_as.c	3 Feb 2008 19:38:42 -0000
@@ -39,7 +39,6 @@
 #include <tsp_sys_headers.h>
 #include <tsp_abs_types.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
 #include <tsp_const_def.h>
 #include <tsp_common_macros.h>
 #define TSP_COMMON_AS_C
Index: src/core/common/tsp_common_request.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_common_request.c,v
retrieving revision 1.3
diff -u -r1.3 tsp_common_request.c
--- src/core/common/tsp_common_request.c	30 Nov 2007 15:42:01 -0000	1.3
+++ src/core/common/tsp_common_request.c	3 Feb 2008 19:38:42 -0000
@@ -39,7 +39,6 @@
 #include <tsp_sys_headers.h>
 #include <tsp_abs_types.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
 #include <tsp_const_def.h>
 #define TSP_COMMON_REQUEST_C
 #include <tsp_common_request.h>
Index: src/core/common/tsp_common_ssei.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_common_ssei.c,v
retrieving revision 1.11
diff -u -r1.11 tsp_common_ssei.c
--- src/core/common/tsp_common_ssei.c	30 Nov 2007 15:42:01 -0000	1.11
+++ src/core/common/tsp_common_ssei.c	3 Feb 2008 19:38:42 -0000
@@ -39,7 +39,7 @@
 #include <tsp_sys_headers.h>
 #include <tsp_abs_types.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
+#include <tsp_common_trace.h>
 #include <tsp_const_def.h>
 #define TSP_COMMON_SSEI_C
 #include <tsp_common_ssei.h>
Index: src/core/common/tsp_common_ssi.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_common_ssi.c,v
retrieving revision 1.8
diff -u -r1.8 tsp_common_ssi.c
--- src/core/common/tsp_common_ssi.c	18 Oct 2006 09:58:48 -0000	1.8
+++ src/core/common/tsp_common_ssi.c	3 Feb 2008 19:38:42 -0000
@@ -39,7 +39,7 @@
 #include <tsp_sys_headers.h>
 #include <tsp_abs_types.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
+#include <tsp_common_trace.h>
 #include <tsp_const_def.h>
 #define TSP_COMMON_SSI_C
 #include <tsp_common_ssi.h>
@@ -114,7 +114,7 @@
     ssi->name                 = strdup(name);
     if (NULL==ssi->name) {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",name));
+      STRACE_ERROR("Cannot strdup <%s>",name);
     }
   } else {
     ssi->name                 = NULL;
@@ -251,7 +251,10 @@
   int32_t retcode = TSP_STATUS_OK;
   int32_t i;
   assert(ssil);
-  
+
+  STRACE_INFO("hi");
+
+
   ssil->TSP_sample_symbol_info_list_t_len = nbSSI;
   ssil->TSP_sample_symbol_info_list_t_val = (TSP_sample_symbol_info_t*) calloc (nbSSI,sizeof(TSP_sample_symbol_info_t));
   TSP_CHECK_ALLOC(ssil->TSP_sample_symbol_info_list_t_val,TSP_STATUS_ERROR_MEMORY_ALLOCATION);
Index: src/core/common/tsp_common_status.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_common_status.c,v
retrieving revision 1.5
diff -u -r1.5 tsp_common_status.c
--- src/core/common/tsp_common_status.c	30 Nov 2007 15:42:01 -0000	1.5
+++ src/core/common/tsp_common_status.c	3 Feb 2008 19:38:42 -0000
@@ -39,7 +39,7 @@
 #include <tsp_sys_headers.h>
 #include <tsp_abs_types.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
+#include <tsp_common_trace.h>
 #include <tsp_const_def.h>
 #include <tsp_common_macros.h>
 #define TSP_COMMON_STATUS_C
Index: src/core/common/tsp_common_trace.c
===================================================================
RCS file: src/core/common/tsp_common_trace.c
diff -N src/core/common/tsp_common_trace.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ src/core/common/tsp_common_trace.c	3 Feb 2008 19:38:42 -0000
@@ -0,0 +1,108 @@
+/*
+
+$Id$
+
+-----------------------------------------------------------------------
+
+TSP Library - core components for a generic Transport Sampling Protocol.
+
+Copyright (c) 2008 Robert de Vries
+
+This library is free software; you can redistribute it and/or
+modify it under the terms of the GNU Lesser General Public
+License as published by the Free Software Foundation; either
+version 2.1 of the License, or (at your option) any later version.
+
+This library is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+Lesser General Public License for more details.
+
+You should have received a copy of the GNU Lesser General Public
+License along with this library; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+-----------------------------------------------------------------------
+
+Project    : TSP
+Maintainer : tsp@astrium.eads.net
+Component  : common
+
+-----------------------------------------------------------------------
+
+Purpose   : Tracing and error/warning message generation
+
+-----------------------------------------------------------------------
+ */
+
+#include <stdio.h>
+#include <stdarg.h>
+#include <stdlib.h>
+#include <stdbool.h>
+#include <errno.h>
+#include <assert.h>
+
+#include "tsp_common_trace.h"
+
+static const char *level_name(int level)
+{
+    switch(level) {
+    case STRACE_LEVEL_ERROR:
+	return "ERRROR";
+    case STRACE_LEVEL_WARNING:
+	return "Warning";
+    case STRACE_LEVEL_INFO:
+	return "Info";
+    case STRACE_LEVEL_REQUEST:
+	return "Request";
+    case STRACE_LEVEL_DEBUG:
+	return "Debug";
+    case STRACE_LEVEL_DEBUG_MORE:
+	return "Debug More";
+    case STRACE_LEVEL_TEST:
+	return "Test";
+    }
+    return "???";
+}
+
+
+static void default_trace_func(int level, const char *name, const char *file, const char *func, int line, const char *format, va_list args)
+{
+    fprintf(stderr, "%7s||%s##%s##%d: ", name, file, func, line);
+    vfprintf(stderr, format, args);
+    putc('\n', stderr);
+    fflush(stderr);
+}
+
+static long int strace_debug_level = 0;
+static TSP_trace_func trace = default_trace_func;
+
+void TSP_trace(int level, const char *file, const char *func, int line, const char *format, ...)
+{
+    static bool first_time = true;
+
+    if (first_time) {
+	first_time = false;
+	char *strace_env = getenv("STRACE_DEBUG");
+	if (strace_env != NULL) {
+	    char *end;
+	    int new_level = strtol(strace_env, &end, 0);
+	    assert(errno != EINVAL); /* programming error, base contains an unsupported value */
+	    if (*end != 0) {
+		fprintf(stderr, "STRACE_DEBUG environment variable has trailing garbage\n");
+	    }
+	    else if (errno == ERANGE) {
+		fprintf(stderr, "STRACE_DEBUG environment variable value out of range\n");
+	    }
+	    else {
+		strace_debug_level = new_level;
+	    }
+	}
+    }
+    if ((0==level) || (strace_debug_level & level) ) {
+	va_list args;
+	va_start(args, format);
+	trace(level, level_name(level), file, func, line, format, args);
+	va_end(args);
+    }		    
+}
Index: src/core/common/tsp_common_trace.h
===================================================================
RCS file: src/core/common/tsp_common_trace.h
diff -N src/core/common/tsp_common_trace.h
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ src/core/common/tsp_common_trace.h	3 Feb 2008 19:38:42 -0000
@@ -0,0 +1,80 @@
+/*
+
+$Id$
+
+-----------------------------------------------------------------------
+
+TSP Library - core components for a generic Transport Sampling Protocol.
+
+Copyright (c) 2008 Robert de Vries
+
+This library is free software; you can redistribute it and/or
+modify it under the terms of the GNU Lesser General Public
+License as published by the Free Software Foundation; either
+version 2.1 of the License, or (at your option) any later version.
+
+This library is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+Lesser General Public License for more details.
+
+You should have received a copy of the GNU Lesser General Public
+License along with this library; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+-----------------------------------------------------------------------
+
+Project    : TSP
+Maintainer : tsp@astrium.eads.net
+Component  : common
+
+-----------------------------------------------------------------------
+
+Purpose   : Tracing and error/warning message generation
+
+-----------------------------------------------------------------------
+ */
+
+#ifndef _TSP_COMMON_TRACE_H
+#define _TSP_COMMON_TRACE_H
+
+#include <stdarg.h>
+
+typedef void (*TSP_trace_func)(int level, const char *source, const char *file, const char *func, int line, const char *format, va_list args);
+
+void TSP_trace(int level, const char *file, const char *func, int line, const char *format, ...);
+
+void TSP_trace_install(TSP_trace_func trace_func);
+
+#if defined(__GNUC__) || defined(_MSC_VER)
+#define __func__ __FUNCTION__
+#else
+#define __func__ "where?"
+#endif
+
+#define STRACE_LEVEL_ERROR       (0)
+#define STRACE_LEVEL_WARNING     (1)
+#define STRACE_LEVEL_INFO        (2)
+#define STRACE_LEVEL_REQUEST     (4)
+#define STRACE_LEVEL_DEBUG       (8)
+#define STRACE_LEVEL_DEBUG_MORE (16)
+#define STRACE_LEVEL_TEST       (32)
+
+#ifdef  USE_STRACE
+# define STRACE_TEST(...)	TSP_trace(STRACE_LEVEL_TEST,       __FILE__, __func__, __LINE__, __VA_ARGS__)
+# define STRACE_DEBUG_MORE(...)	TSP_trace(STRACE_LEVEL_DEBUG_MORE, __FILE__, __func__, __LINE__, __VA_ARGS__)
+# define STRACE_DEBUG(...)	TSP_trace(STRACE_LEVEL_DEBUG,      __FILE__, __func__, __LINE__, __VA_ARGS__)
+# define STRACE_REQUEST( ...)	TSP_trace(STRACE_LEVEL_REQUEST,    __FILE__, __func__, __LINE__, __VA_ARGS__)
+# define STRACE_INFO(...)	TSP_trace(STRACE_LEVEL_INFO,       __FILE__, __func__, __LINE__, __VA_ARGS__)
+#else
+# define STRACE_TEST(...)
+# define STRACE_DEBUG_MORE(...)
+# define STRACE_DEBUG(...)
+# define STRACE_REQUEST(...)
+# define STRACE_INFO(...)
+#endif
+
+#define STRACE_WARNING(...)	 TSP_trace(STRACE_LEVEL_WARNING, __FILE__, __func__, __LINE__, __VA_ARGS__)
+#define STRACE_ERROR(...)	 TSP_trace(STRACE_LEVEL_ERROR,   __FILE__, __func__, __LINE__, __VA_ARGS__)
+
+#endif	/* _TSP_COMMON_TRACE_H */
Index: src/core/common/tsp_decoder.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_decoder.c,v
retrieving revision 1.8
diff -u -r1.8 tsp_decoder.c
--- src/core/common/tsp_decoder.c	30 Nov 2007 15:42:01 -0000	1.8
+++ src/core/common/tsp_decoder.c	3 Feb 2008 19:38:43 -0000
@@ -41,7 +41,6 @@
  
 #include <tsp_const_def.h>
 #include <tsp_datastruct.h>
-#include <tsp_simple_trace.h>
 #include <tsp_decoder.h>
 
 #if defined(sun) || defined(__sun)
@@ -69,7 +68,7 @@
   {
     if( xdr_double(&xhandle, (double*)out_double+i) != TRUE)
     {
-      STRACE_ERROR(("Function xdr_double failed"));
+      STRACE_ERROR("Function xdr_double failed");
       return FALSE;
     }
     else
@@ -83,7 +82,7 @@
   for(i=0;i<dimension;++i)
   {
     ((uint64_t*)out_double)[i] = TSP_DECODE_DOUBLE_TO_UINT64(in_buf+(i*TSP_SIZEOF_ENCODED_DOUBLE));   
-    STRACE_DEBUG_MORE(("decoded DOUBLE = %f, (received) encoded DOUBLE=0x%08llx",((double*)out_double)[i],((uint64_t*)in_buf)[i]));
+    STRACE_DEBUG_MORE("decoded DOUBLE = %f, (received) encoded DOUBLE=0x%08llx",((double*)out_double)[i],((uint64_t*)in_buf)[i]);
   }
 #endif
 
@@ -105,7 +104,7 @@
   {
     if( xdr_float(&xhandle, (float*)out_float+i) != TRUE)
     {
-      STRACE_ERROR(("Function xdr_float failed"));
+      STRACE_ERROR("Function xdr_float failed");
       return FALSE;
     }
     else
@@ -182,7 +181,7 @@
   {
     if( xdr_int(&xhandle, (int32_t*)out_int32+i) != TRUE)
     {
-      STRACE_ERROR(("Function xdr_float failed"));
+      STRACE_ERROR("Function xdr_float failed");
       return FALSE;
     }
     else
@@ -217,7 +216,7 @@
   {
     if( xdr_hyper(&xhandle, (int64_t*)out_int64+i) != TRUE)
     {
-      STRACE_ERROR(("Function xdr_float failed"));
+      STRACE_ERROR("Function xdr_float failed");
       return FALSE;
     }
     else
@@ -292,7 +291,7 @@
   {
     if( xdr_int(&xhandle, (uint32_t*)out_uint32+i) != TRUE)
     {
-      STRACE_ERROR(("Function xdr_float failed"));
+      STRACE_ERROR("Function xdr_float failed");
       return FALSE;
     }
     else
@@ -327,7 +326,7 @@
   {
     if( xdr_hyper(&xhandle, (uint64_t*)out_uint64+i) != TRUE)
     {
-      STRACE_ERROR(("Function xdr_float failed"));
+      STRACE_ERROR("Function xdr_float failed");
       return FALSE;
     }
     else
@@ -508,9 +507,8 @@
     return TSP_SIZEOF_ENCODED_USER;
         
   default:
-    STRACE_ERROR(("Unknown TSP Type <%d>",type))
+    STRACE_ERROR("Unknown TSP Type <%d>",type);
     return 0;
-
   }
 }
 
Index: src/core/common/tsp_encoder.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/common/tsp_encoder.c,v
retrieving revision 1.12
diff -u -r1.12 tsp_encoder.c
--- src/core/common/tsp_encoder.c	30 Nov 2007 15:42:01 -0000	1.12
+++ src/core/common/tsp_encoder.c	3 Feb 2008 19:38:43 -0000
@@ -40,7 +40,7 @@
 #include <rpc/xdr.h>
 
 #include <tsp_const_def.h>
-#include <tsp_simple_trace.h>
+#include <tsp_common_trace.h>
 #include <tsp_datastruct.h>
 #include <tsp_encoder.h>
 #include <tsp_decoder.h>
@@ -80,7 +80,7 @@
   }
   
   if (size  < taille ) {
-    STRACE_ERROR(("buffer is too small"));
+    STRACE_ERROR("buffer is too small");
     return 0;
   }
   
@@ -94,7 +94,7 @@
   {
     if( xdr_double(&xhandle, pt_double+i) != TRUE)
     {
-       STRACE_ERROR(("Function xdr_double failed"));
+       STRACE_ERROR("Function xdr_double failed");
        return 0;
     }
   }
@@ -106,7 +106,7 @@
    
   for (i=0;i<dimension;++i) {
     ((uint64_t*)out_buf)[i] = TSP_ENCODE_DOUBLE_TO_UINT64(pt_double+i);
-    STRACE_DEBUG_MORE(("DOUBLE = %f, encoded DOUBLE=0x%08llx",*pt_double,((uint64_t*)out_buf)[i]));
+    STRACE_DEBUG_MORE("DOUBLE = %f, encoded DOUBLE=0x%08llx",*pt_double,((uint64_t*)out_buf)[i]);
   } 
   
   return (uint32_t)(taille);
@@ -140,7 +140,7 @@
   }
 
   if (size  < taille ) {
-    STRACE_ERROR(("buffer is too small"));
+    STRACE_ERROR("buffer is too small");
     return 0;
   }
 
@@ -154,7 +154,7 @@
   {
     if( xdr_float(&xhandle, pt_float+i) != TRUE)
     {
-       STRACE_ERROR(("Function xdr_float failed"));
+       STRACE_ERROR("Function xdr_float failed");
        return 0;
     }
   }
@@ -252,7 +252,7 @@
   }
 
   if (size  < taille) {
-    STRACE_ERROR(("buffer is too small"));
+    STRACE_ERROR("buffer is too small");
     return 0;
   }
 
@@ -266,7 +266,7 @@
   {
     if( xdr_int(&xhandle, pt_int32+i) != TRUE)
     {
-       STRACE_ERROR(("Function xdr_int failed"));
+       STRACE_ERROR("Function xdr_int failed");
        return 0;
     }
   }
@@ -309,7 +309,7 @@
   }
 
   if (size  < taille ) {
-     STRACE_ERROR(("buffer is too small"));
+     STRACE_ERROR("buffer is too small");
      return 0;
   }
 
@@ -323,7 +323,7 @@
   {
     if( xdr_hyper(&xhandle, pt_int64+i) != TRUE)
     {
-       STRACE_ERROR(("Function xdr_hyper failed"));
+       STRACE_ERROR("Function xdr_hyper failed");
        return 0;
     }
   }
@@ -417,7 +417,7 @@
   }
 
   if (size  < taille) {
-    STRACE_ERROR(("buffer is too small"));
+    STRACE_ERROR("buffer is too small");
     return 0;
   }
 
@@ -431,7 +431,7 @@
   {
     if( xdr_int(&xhandle, pt_uint32+i) != TRUE)
     {
-       STRACE_ERROR(("Function xdr_int failed"));
+       STRACE_ERROR("Function xdr_int failed");
        return 0;
     }
   }
@@ -476,7 +476,7 @@
   }
 
   if (size  < taille) {
-    STRACE_ERROR(("buffer is too small"));
+    STRACE_ERROR("buffer is too small");
     return 0;
   }
 
@@ -490,7 +490,7 @@
   {
     if( xdr_hyper(&xhandle, pt_uint64+i) != TRUE)
     {
-       STRACE_ERROR(("Function xdr_long failed"));
+       STRACE_ERROR("Function xdr_long failed");
        return 0;
     }
   }
Index: src/core/ctrl/tsp_data_sender.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_data_sender.c,v
retrieving revision 1.30
diff -u -r1.30 tsp_data_sender.c
--- src/core/ctrl/tsp_data_sender.c	30 Nov 2007 15:42:00 -0000	1.30
+++ src/core/ctrl/tsp_data_sender.c	3 Feb 2008 19:38:43 -0000
@@ -91,7 +91,7 @@
   sender->fifo_full   = FALSE;
   sender->buffer_size = TSP_DATA_STREAM_MAX_BUFFER_SIZE(group_max_byte_size);
 
-  STRACE_DEBUG(("Data Sender buffer size is: <%d> byte(s)",sender->buffer_size));
+  STRACE_DEBUG("Data Sender buffer size is: <%d> byte(s)",sender->buffer_size);
   /* Create the sender stream with its fifo size*/
   sender->stream_sender = (TSP_data_sender_t)TSP_stream_sender_create(fifo_size, sender->buffer_size);
   if (sender->stream_sender) {      
@@ -109,7 +109,7 @@
     }
   }
   else {
-    STRACE_ERROR(("Function TSP_stream_sender_create failed"));
+    STRACE_ERROR("Function TSP_stream_sender_create failed");
     free(sender);
     sender = NULL;
   }
@@ -201,7 +201,7 @@
       if(!TSP_stream_sender_send(data_sender->stream_sender,
 				 TSP_STREAM_SENDER_ITEM_BUF(tosend),
 				 tosend->len) ) {
-	  STRACE_WARNING(("Function TSP_stream_sender_send failed "));
+	  STRACE_WARNING("Function TSP_stream_sender_send failed ");
 	  ret = FALSE;
 	}  
     }
@@ -242,7 +242,7 @@
       tsp_reserved_group = TSP_RESERVED_GROUP_CONSUMER_DATA_LOST;
       break;
     default:
-      STRACE_ERROR(("We should not be there..."));
+      STRACE_ERROR("We should not be there...");
       assert(0);
       return FALSE;
     }
@@ -323,8 +323,8 @@
 	   * FIXME : we cannot STRACE_DEBUG value simply due
 	   * to multi-type handling 
 	   */
-	  /* STRACE_DEBUG(("Gr=%d V=%f", group_index, *(double*)(group->items[i].data))); */
-	  STRACE_DEBUG_MORE(("Gr=%d Ne=%d", group_index, group->items[i].nelem));
+	  /* STRACE_DEBUG("Gr=%d V=%f", group_index, *(double*)(group->items[i].data)); */
+	  STRACE_DEBUG_MORE("Gr=%d Ne=%d", group_index, group->items[i].nelem);
 	  
 	  /* Call encode function */
 	  assert(group->items[i].data_encoder);
@@ -333,7 +333,7 @@
 						buf_char,
 						data_sender->buffer_size - ( buf_char - buf_main) );
 	  if ( 0 == size ) {
-	    STRACE_ERROR(("data_encoder failed"));	    
+	    STRACE_ERROR("data_encoder failed");
 	    ret = FALSE;
 	    break;
 	  }
Index: src/core/ctrl/tsp_datapool.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_datapool.c,v
retrieving revision 1.33
diff -u -r1.33 tsp_datapool.c
--- src/core/ctrl/tsp_datapool.c	30 Nov 2007 15:42:00 -0000	1.33
+++ src/core/ctrl/tsp_datapool.c	3 Feb 2008 19:38:43 -0000
@@ -71,7 +71,7 @@
 { \
 	if( (index) >= (obj).size ) \
 	{ \
-		STRACE_ERROR(("ERROR :-->OUT : provider_global_index %d does not exist !",(index))) \
+		STRACE_ERROR("ERROR :-->OUT : provider_global_index %d does not exist !",(index)); \
 		return ret; \
 	} \
 }
@@ -114,25 +114,25 @@
     
   case GLU_GET_EOF :
     TSP_session_all_session_send_msg_ctrl(TSP_MSG_CTRL_EOF);
-    STRACE_INFO(("GLU sent EOF"));
+    STRACE_INFO("GLU sent EOF");
     /* End of flow. Our datapool is dead */
     datapool->terminated = TRUE;
     break;
     
   case GLU_GET_RECONF :
     TSP_session_all_session_send_msg_ctrl(TSP_MSG_CTRL_RECONF);
-    STRACE_INFO(("GLU sent RECONF"));
+    STRACE_INFO("GLU sent RECONF");
     /* End of flow. Our datapool is dead */
     datapool->terminated = TRUE;
     break;
     
   case GLU_GET_DATA_LOST :
     TSP_session_all_session_send_msg_ctrl(TSP_MSG_CTRL_GLU_DATA_LOST);
-    STRACE_INFO(("GLU sent DATA_LOST"));
+    STRACE_INFO("GLU sent DATA_LOST");
     break;
     
   default:
-    STRACE_ERROR(("?"));
+    STRACE_ERROR("?");
     assert(0);
   }    
   return 0;  
Index: src/core/ctrl/tsp_default_glu.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_default_glu.c,v
retrieving revision 1.22
diff -u -r1.22 tsp_default_glu.c
--- src/core/ctrl/tsp_default_glu.c	30 Nov 2007 15:42:00 -0000	1.22
+++ src/core/ctrl/tsp_default_glu.c	3 Feb 2008 19:38:43 -0000
@@ -197,7 +197,7 @@
 	pg_indexes[i]=looked_for->provider_global_index;
       }
       if(found) {
-	STRACE_INFO(("Found symbol <%s> pgi=<%d> ",  looked_for->name, looked_for->provider_global_index));	   
+	STRACE_INFO("Found symbol <%s> pgi=<%d> ",  looked_for->name, looked_for->provider_global_index);
 	break;
       }
       
@@ -205,7 +205,7 @@
     if(!found) {
       retcode = FALSE;
       pg_indexes[i]= -1;
-      STRACE_INFO(("Unable to find symbol '%s'",  looked_for->name));	   
+      STRACE_INFO("Unable to find symbol '%s'",  looked_for->name);
     }
     
     found = FALSE;     
@@ -213,7 +213,7 @@
     
     if(!found) {
       retcode = FALSE;
-      STRACE_INFO(("No good data in symbol '%s'",  looked_for->name));	   
+      STRACE_INFO("No good data in symbol '%s'",  looked_for->name);
     }
   }
   return retcode;
@@ -251,7 +251,7 @@
 
   switch (filter_kind) {
   case TSP_FILTER_SIMPLE:
-    STRACE_INFO(("Requested filter kind <%d>, filter string = <%s>",filter_kind,filter_string));
+    STRACE_INFO("Requested filter kind <%d>, filter string = <%s>",filter_kind,filter_string);
     /* first loop to count matching symbols */
     nb_match      = 0;
     matched_index = calloc(complete_symbol_list.TSP_sample_symbol_info_list_t_len,sizeof(int32_t));
@@ -261,13 +261,13 @@
 	nb_match++;	
       }
     }
-    STRACE_INFO(("Nb Match(es) is <%d>",nb_match));
+    STRACE_INFO("Nb Match(es) is <%d>",nb_match);
     /* second loop if nb_match > 0 */
     if (nb_match>0) {
       TSP_SSIList_finalize(&(answer_sample->symbols));
       TSP_SSIList_initialize(&(answer_sample->symbols),nb_match);
       for (i=0;i<nb_match;i++) {
-	STRACE_DEBUG(("Adding <%s> to answer_sample...",complete_symbol_list.TSP_sample_symbol_info_list_t_val[matched_index[i]].name));
+	STRACE_DEBUG("Adding <%s> to answer_sample...",complete_symbol_list.TSP_sample_symbol_info_list_t_val[matched_index[i]].name);
 	TSP_SSI_copy(&(answer_sample->symbols.TSP_sample_symbol_info_list_t_val[i]),
 		     complete_symbol_list.TSP_sample_symbol_info_list_t_val[matched_index[i]]);
       }
@@ -307,7 +307,7 @@
     }
     else {
       SSI_list->TSP_sample_symbol_info_list_t_val[i].provider_global_index=-1;      
-      STRACE_INFO(("Unable to find symbol '%s'",  SSI_list->TSP_sample_symbol_info_list_t_val[i].name));      
+      STRACE_INFO("Unable to find symbol '%s'",  SSI_list->TSP_sample_symbol_info_list_t_val[i].name);
       ret=TSP_STATUS_ERROR_SYMBOLS;      
     }
   }
@@ -372,14 +372,14 @@
   if(looked_for->period < 1) 
   {
     *pg_indexes=-1;
-    STRACE_DEBUG(("Invalid period"));
+    STRACE_DEBUG("Invalid period");
     return FALSE;
   }
 
   if(looked_for->phase < 0) 
   {
     *pg_indexes=-1;
-    STRACE_DEBUG(("Invalid phase"));
+    STRACE_DEBUG("Invalid phase");
     return FALSE;
   }
 	  
@@ -389,7 +389,7 @@
     if(looked_for->type != compared->type)
     {
       *pg_indexes=-1;
-       STRACE_DEBUG(("Invalid type"));
+       STRACE_DEBUG("Invalid type");
       return FALSE;
 
     }
@@ -405,7 +405,7 @@
     if(looked_for->offset >= compared->dimension)
     {
       *pg_indexes=-1;
-      STRACE_DEBUG(("Invalid offset"));
+      STRACE_DEBUG("Invalid offset");
       return FALSE;
     }
  }
@@ -415,7 +415,7 @@
     if((looked_for->offset + looked_for->nelem - 1) >= compared->dimension)
     {
       *pg_indexes=-1;
-      STRACE_DEBUG(("Invalid nelem"));
+      STRACE_DEBUG("Invalid nelem");
       return FALSE;
     }
  }
@@ -430,7 +430,7 @@
     if(looked_for->dimension != compared->dimension)
     {
       *pg_indexes=-1;
-      STRACE_DEBUG(("Invalid dimension"));
+      STRACE_DEBUG("Invalid dimension");
       return FALSE;
     }
  }
Index: src/core/ctrl/tsp_group_algo.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_group_algo.c,v
retrieving revision 1.26
diff -u -r1.26 tsp_group_algo.c
--- src/core/ctrl/tsp_group_algo.c	30 Nov 2007 15:38:22 -0000	1.26
+++ src/core/ctrl/tsp_group_algo.c	3 Feb 2008 19:38:43 -0000
@@ -101,14 +101,14 @@
     
     /* We calculate the LCM for the period of all symbols */
     int ppcm = (symbols->TSP_sample_symbol_info_list_t_val[0].period);
-    STRACE_DEBUG(("Frequency_ratio No0= %d", ppcm));
+    STRACE_DEBUG("Frequency_ratio No0= %d", ppcm);
     
     for( i = 1 ; i < nb_symbols ; i++) {	
       
       int frequency_ratio =
 	(symbols->TSP_sample_symbol_info_list_t_val[i].period);
       
-      STRACE_DEBUG(("Frequency_ratio No%u= %d", i, frequency_ratio));
+      STRACE_DEBUG("Frequency_ratio No%u= %d", i, frequency_ratio);
       
       /* LCM */         
       PPCM(ppcm,frequency_ratio, ppcm); 
@@ -118,9 +118,9 @@
     
   }
   else {
-    STRACE_WARNING(("No symbols in list !"));    
+    STRACE_WARNING("No symbols in list !");
   }
-  STRACE_INFO(("Found <%d> group(s) for request with <%d> symbol(s)",nb_groups,nb_symbols));
+  STRACE_INFO("Found <%d> group(s) for request with <%d> symbol(s)",nb_groups,nb_symbols);
   return nb_groups;    
 }
 
@@ -155,7 +155,7 @@
       }      
     }
     
-  STRACE_INFO(("Group_size for group[%d] is %d", group_id, group_size));    
+  STRACE_INFO("Group_size for group[%d] is %d", group_id, group_size);
   return group_size;
 }
 
@@ -180,7 +180,7 @@
     groups_summed_size += TSP_group_algo_get_group_size(symbols, group_id,&group_byte_size); 
   }
     
-  STRACE_INFO(("Groups_summed_size is %d", groups_summed_size));
+  STRACE_INFO("Groups_summed_size is %d", groups_summed_size);
     
   return groups_summed_size;
 } /* end of TSP_group_algo_get_groups_summed_size */
@@ -253,8 +253,8 @@
 
     }
 
-  STRACE_INFO(("Max group size      = %d", table->max_group_len));  
-  STRACE_INFO(("Group max byte size = %d", table->group_max_byte_size));
+  STRACE_INFO("Max group size      = %d", table->max_group_len);
+  STRACE_INFO("Group max byte size = %d", table->group_max_byte_size);
   return table;
 } /* TSP_group_algo_allocate_group_table */
                                                              
@@ -320,7 +320,7 @@
       /* Does - it belong to the group */
       if (BELONGS_TO_GROUP(in_info->period, in_info->phase , group_id) ) {		
 	/*Yes, we add it*/
-	STRACE_DEBUG(("Adding provider_global_index %d at group %d and rank %d",in_info->provider_global_index,group_id,rank));
+	STRACE_DEBUG("Adding provider_global_index %d at group %d and rank %d",in_info->provider_global_index,group_id,rank);
 	/* 1 - In the out group table */
 	
 	/* find the encoder of the data type */
